0

I have an odd issue on my MAC. I installed java 1.8 sdk so I can use some Java applications however when I run any java based apps, they look real weird or I can get an error saying to use the latest java.

When I am on the command line and I type in java -version it shows 1.8

Any ideas on why my java apps don't seem to work?

The odd thing is if I run the application from a disk image (before i move to the applications folder) it works completely fine.

  • What OS are you running? – Flying Trashcan Dec 4 '14 at 22:35
  • What java apps? and what is the exact error? – Mark Dec 5 '14 at 0:07
  • Mavericks....I tried using Maltego & Gephi. One doesnt show the menu items correctly, the other says I'm using openjdk 1.6 which has a bug and to install 1.7 and closes. – KingKongFrog Dec 5 '14 at 17:56
1

The easiest solution is to update with "Java for OS X 2014-001" at the below link. Fixed a similar Java issue on all three computers I have.

http://support.apple.com/kb/DL1572?viewlocale=en_US

  • Actually that's a downgrade and not an update because Java6 will be installed. It might fix some problems though. – klanomath Dec 5 '14 at 9:52
  • I tried this an no luck :( – KingKongFrog Dec 5 '14 at 17:53

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .